Bug 23436 - Save to 'undefined' showing in Advanced cataloging editor
Summary: Save to 'undefined' showing in Advanced cataloging editor
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Alex Arnaud
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 18823 23440
  Show dependency treegraph
 
Reported: 2019-08-07 08:32 UTC by Alex Arnaud
Modified: 2019-09-17 19:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23436: add a label for duplicate backend (2.08 KB, patch)
2019-08-07 08:58 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 23436: add a label for duplicate backend (2.09 KB, patch)
2019-08-07 14:25 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 23436: add a label for duplicate backend (2.13 KB, patch)
2019-08-07 14:28 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23436: add a label for duplicate backend (2.19 KB, patch)
2019-08-09 07:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2019-08-07 08:32:02 UTC
Bug 16232 add a "duplicate" backend without label. This make the backend appears as undefined in save backend list.

Also, with bug 18823 applied, this undefined backend prevent editor to be loaded.
Comment 1 Alex Arnaud 2019-08-07 08:58:24 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2019-08-07 14:25:18 UTC
Created attachment 92046 [details] [review]
Bug 23436: add a label for duplicate backend

Reproduce issue:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor
 - Click on the down arrow in "Save to catalog" menu
 - You should see an undefined named save backend

Test patch:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor to save preference to
   the cookie
 - Click on the down arrow in "Save to catalog" menu
 - You should see a "Duplicate" named backend

Test Bug 16232 for no regression:
 - Search for a biblio in catalog
 - Click on edit => Edit as new (duplicate)
 - Advanced editor should appear.
   SUCCESS => browser url ends with #duplicate/{original biblionumber}
           => Title above toolbar is "Editing duplicate record of
              #{original biblionumber}"
 - Save
   SUCCESS => browser url ends with #catalog/{new biblionumber}
           => Title above toolbar is "Editing catalog record #{new
biblionumber}"

More test:
 - Search for a biblio in catalog
 - Click on "Edit record"
 - Advanced editor should appear
 - Click on the down arrow in "Save to catalog" menu and click on
   Duplicate,
 - Record should be saved as a new one (same behavior)
Comment 3 ByWater Sandboxes 2019-08-07 14:28:45 UTC
Created attachment 92047 [details] [review]
Bug 23436: add a label for duplicate backend

Reproduce issue:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor
 - Click on the down arrow in "Save to catalog" menu
 - You should see an undefined named save backend

Test patch:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor to save preference to
   the cookie
 - Click on the down arrow in "Save to catalog" menu
 - You should see a "Duplicate" named backend

Test Bug 16232 for no regression:
 - Search for a biblio in catalog
 - Click in "Edit record"
 - Advanced editor should appear.
   SUCCESS => browser url ends with #duplicate/{original biblionumber}
           => Title above toolbar is "Editing duplicate record of
              #{original biblionumber}"
 - Save
   SUCCESS => browser url ends with #catalog/{new biblionumber}
           => Title above toolbar is "Editing catalog record #{new
biblionumber}"

More test:
 - Search for a biblio in catalog
 - Click on "Edit record"
 - Advanced editor should appear
 - Click on the down arrow in "Save to catalog" menu and click on
   Duplicate,
 - Record should be saved as a new one (same behavior)

Signed-off-by: cori <corilynn.arnold@gmail.com>
Comment 4 Cori Lynn Arnold 2019-08-07 14:29:23 UTC
works great!
Comment 5 Katrin Fischer 2019-08-09 07:24:21 UTC
Created attachment 92106 [details] [review]
Bug 23436: add a label for duplicate backend

Reproduce issue:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor
 - Click on the down arrow in "Save to catalog" menu
 - You should see an undefined named save backend

Test patch:
 - Enable "EnableAdvancedCatalogingEditor" preference
 - Go to cataloguing and click on advanced editor to save preference to
   the cookie
 - Click on the down arrow in "Save to catalog" menu
 - You should see a "Duplicate" named backend

Test Bug 16232 for no regression:
 - Search for a biblio in catalog
 - Click in "Edit record"
 - Advanced editor should appear.
   SUCCESS => browser url ends with #duplicate/{original biblionumber}
           => Title above toolbar is "Editing duplicate record of
              #{original biblionumber}"
 - Save
   SUCCESS => browser url ends with #catalog/{new biblionumber}
           => Title above toolbar is "Editing catalog record #{new
biblionumber}"

More test:
 - Search for a biblio in catalog
 - Click on "Edit record"
 - Advanced editor should appear
 - Click on the down arrow in "Save to catalog" menu and click on
   Duplicate,
 - Record should be saved as a new one (same behavior)

Signed-off-by: cori <corilynn.arnold@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-08-09 07:34:29 UTC
I've filed a new bug for not showing the "Duplicate" option when working on a new record: bug 23440
Comment 7 Martin Renvoize 2019-08-13 10:33:49 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-09-02 12:16:06 UTC
Pushed to 19.05.x for 19.05.04
Comment 9 Lucas Gass 2019-09-17 19:36:48 UTC
backported to 18.11.x for 18.11.10